Subject: bug#5705: 23.1.93; recursive load error when loading tramp

From: Paul Pogonyshev <[email-masked]>
Date: Thu, 11 Mar 2010 18:17:44 +0200

Chong Yidong wrote:
> Paul Pogonyshev <[email-masked]> writes:
> 
> > So, to reproduce:
> > - enable ido-mode;
> > - try hitting C-x C-f, navigate into a particularly large directory
> >   and hit C-g while completion list is being built.
> >
> > You may need to repeat the second step several times as the bug
> > doesn't seem to deterministic.
> 
> Some something like
> 
>  M-x ido-mode RET
>  C-x C-f /usr/bin/a TAB
> 
> should produce the bug?  I haven't been able to see it this way.

Sorry, I tried now with 'emacs -Q' and found a corrected way:

    M-x ido-mode RET           enable ido
    C-x C-f / /                this makes ido load tramp
    C-g                        abort loading

You need to be quick to hit C-g while tramp is still loading.  After
this file opening stops working just as described, at least here.

I managed to reproduce this three times in a row (each time with a
fresh 'emacs -Q', since the previous becomes useless).

Paul